Skip to main content
Welcome to the preview portal — This is an early release of the new Doc Hub experience, with more content coming soon.

Contactless EMV Online PIN Authorizations


For an EMV contactless payment, the customer taps the card on the terminal. The terminal and chip use near-field communication (NFC) to communicate with each other. For an online PIN transaction, the customer uses a PIN to verify their identity and the issuer verifies the PIN.

Online PIN transactions are supported by these card types:

  • American Express
  • Discover
  • Mastercard
  • Visa

Endpoints

POST /pts/v2/payments

POST /pts/v2/payments

Example

{  "clientReferenceInformation": {    "code": "test123",    "transactionId": "uniqueValue3",    "partner": {      "thirdPartyCertificationNumber": "testTPCN"    }  },  "processingInformation": {    "commerceIndicator": "retail",    "authorizationOptions": {      "partialAuthIndicator": "true"    }  },  "paymentInformation": {    "card": {      "type": "001"    }  },  "orderInformation": {    "amountDetails": {      "totalAmount": "9900.00",      "currency": "USD"    }  },  "pointOfSaleInformation": {    "entryMode": "contactless",    "terminalCapability": 4,    "terminalPinCapability": 6,    "emv": {      "tags": "5F3401019F3303E0F8C8950580800480009F370465B81A3A9F100706011203A0A0009F2608E9D097D1901E8AB99F36020002820218009C01009F1A0208409A032307259F02060000000007005F2A0208409F0306000000000000DF78083831393931303236DF791B322D30323436362D312D31432D5246492D303331332D342E332E62",      "cardSequenceNumber": "01"    },    "trackData": ";4761xxxxxxxxxxxx=251220111478549?",    "pinBlockEncodingFormat": 0,    "encryptedPin": "F509429A3C3FD201",    "encryptedKeySerialNumber": "FFFF1B1D140000200001"  },  "merchantInformation": {    "transactionLocalDateTime": "20230724085022"  }}
{  "_links": {    "authReversal": {      "method": "POST",      "href": "/pts/v2/payments/6938904668436727104951/reversals"    },    "self": {      "method": "GET",      "href": "/pts/v2/payments/6938904668436727104951"    },    "capture": {      "method": "POST",      "href": "/pts/v2/payments/6938904668436727104951/captures"    }  },  "clientReferenceInformation": {    "code": "test123",    "transactionId": "uniqueValue3"  },  "id": "6938904668436727104951",  "orderInformation": {    "amountDetails": {      "authorizedAmount": "9900.00",      "currency": "USD"    }  },  "paymentAccountInformation": {    "card": {      "type": "001"    }  },  "paymentInformation": {    "accountFeatures": {      "category": "A",      "group": "0"    },    "tokenizedCard": {      "type": "001"    },    "card": {      "type": "001"    }  },  "pointOfSaleInformation": {    "emv": {      "tags": "9F36020015910AB58D60185BEF0247303072179F180430303031860E04DA9F580903B1BAEDFD1438BA48"    }  },  "processorInformation": {    "systemTraceAuditNumber": "188851",    "approvalCode": "831000",    "networkTransactionId": "016153570198200",    "retrievalReferenceNumber": "324705188851",    "transactionId": "016153570198200",    "responseCode": "00",    "avs": {      "code": "2"    }  },  "reconciliationId": "6938904668436727104951",  "status": "AUTHORIZED",  "submitTimeUtc": "2023-09-05T05:07:47Z"}
FieldDescription
clientReferenceInformation.code—
clientReferenceInformation.partner.thirdPartyCertificationNumber provides the value for this field.
clientReferenceInformation.transactionId—
merchantInformation.transactionLocalDateTime—
orderInformation.amountDetails.currency—
orderInformation.amountDetails.totalAmount—
paymentInformation.card.type—
pointOfSaleInformation.emv.cardSequenceNumber—
pointOfSaleInformation.emv.tags—
pointOfSaleInformation.encryptedKeySerialNumber—
pointOfSaleInformation.encryptedPin—
pointOfSaleInformation.entryModeSet the value to contactless for an EMV payment.
pointOfSaleInformation.pinBlockEncodingFormat—
pointOfSaleInformation.terminalCapabilitySet the value to 5.
pointOfSaleInformation.terminalPinCapability—
pointOfSaleInformation.trackData—
processingInformation.commerceIndicatorSet the value to retail.

Last published: October 28, 2026

Not available for your audience

This page isn't available for your current audience selection.